Listen Live Events API
This section provides an overview of Live events API usage
Last updated: February 11, 2025
The Live Events API provides real-time data streams to audio events detected by the Deeply system. This API uses a WebSocket connection to stream event data continuously, allowing clients to monitor events as they happen in real-time.
WebSocket Endpoint
WebSocket
/api/v1/ws/eventsAuthentication
API key is required via Bearer token authentication in the WebSocket connection headers when establishing a connection.
Query Parameters
mic_id
Optional
string
Filter events by specific microphone ID
Event Message Format
Messages received through the WebSocket connection will have the following structure:
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
{
"id": "string",
"label": {
"id": "string",
"name": {
"ko": "string",
"en": "string"
}
},
"confidence": 0,
"mic": {
"id": "string",
"name": "string",
"location": {
"latitude": 0,
"longitude": 0
}
},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"noises": [
0
]
}Example Message
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
{
"id": "23d6ec74155f4eb187b4e7301b71b5d9",
"label": {
"id": "normal_speech_female",
"name": {
"ko": "대화(여성)",
"en": "normal speech female"
}
},
"confidence": 0.426632,
"mic": {
"id": "d00c8e3364a34439183e3462e773354a1",
"name": "Example Mic (715)",
"location": {
"latitude": 37.546344,
"longitude": 126.944322
}
},
"noises": [
66.99,
65.28,
68.21,
68.12,
67.56,
70.66,
67.35,
63.42,
59.98,
64.05,
65.86,
62.88,
62.41,
62.59,
61.96,
59.25,
58.16,
59.75,
64.2,
65.15
]
}